[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# AllFilesMask

File mask for all files on the current platform

## Declaration

Source position: sysunixh.inc line 44

`const AllFilesMask = '*';`

## Description

AllFilesMask is the wildcard that can be used to return all files in a directory. Do not assume that this is '*' or '*.*' based on the platform only. The actual value on DOS/Windows based systems can be influenced by e.g. LFNSupport.

## See also

LFNSupport |  | Constant describing support for long filenames.
DirectorySeparator |  | Character used to separate directory parts.
DriveSeparator |  | Character used to separate directory parts.